> ## Documentation Index
> Fetch the complete documentation index at: https://docs.man0.space/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a workflow thread

> Read a saved conversation and its outputs, pause requirements and execution receipt. Requires current consent.



## OpenAPI

````yaml openapi.json GET /api/workflows/{id}/threads/{threadId}
openapi: 3.0.3
info:
  title: Man0 API
  version: 1.0.0
  description: Man0 workflows, catalog, accounts and NEAR Intents.
servers:
  - url: https://api.man0.space
security: []
tags:
  - name: System
  - name: Accounts
  - name: Authentication
  - name: Catalog
  - name: Vibe and media
  - name: Workflows
  - name: Drafts
  - name: Execution
  - name: Analytics
  - name: NEAR accounts
  - name: Intents
paths:
  /api/workflows/{id}/threads/{threadId}:
    get:
      tags:
        - Execution
      summary: Read a workflow thread
      description: >-
        Read a saved conversation and its outputs, pause requirements and
        execution receipt. Requires current consent.
      operationId: thread
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: threadId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 200
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Thread'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Authentication required or expired.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Permission or current consent required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Resource or policy changed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Request rate exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - man0Auth: []
components:
  schemas:
    Thread:
      type: object
      properties:
        threadId:
          type: string
          minLength: 1
          maxLength: 200
        workflowId:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
        userAddress:
          type: string
          minLength: 1
          maxLength: 160
        title:
          type: string
          maxLength: 400
        status:
          type: string
          enum:
            - running
            - input_required
            - connector_required
            - succeeded
            - failed
        runId:
          type: string
          minLength: 1
          maxLength: 200
        dry:
          type: boolean
        prompt:
          type: string
          maxLength: 32000
        attachments:
          default: []
          maxItems: 8
          type: array
          items:
            type: object
            additionalProperties: {}
        coordinator:
          nullable: true
          type: object
          properties:
            id:
              type: string
              minLength: 1
              maxLength: 160
            userAddress:
              default: ''
              type: string
              maxLength: 160
            agentId:
              default: 0
              type: integer
              minimum: 0
              maximum: 9007199254740991
            walletAddress:
              type: string
              minLength: 2
              maxLength: 160
            name:
              type: string
              minLength: 1
              maxLength: 120
            image:
              default: ''
              type: string
              maxLength: 2048
            personality:
              default: ''
              type: string
              maxLength: 8000
            model:
              type: string
              minLength: 1
              maxLength: 256
            cid:
              default: ''
              type: string
              maxLength: 256
            txHash:
              default: ''
              type: string
              maxLength: 256
            contractId:
              default: ''
              type: string
              maxLength: 160
            network:
              type: string
              minLength: 2
              maxLength: 80
            created:
              type: string
              format: date-time
              pattern: >-
                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
          required:
            - id
            - walletAddress
            - name
            - model
            - network
        runningStepId:
          nullable: true
          type: string
        stepOutputs:
          default: {}
          type: object
          additionalProperties:
            type: string
        missingInputs:
          default: []
          type: array
          items:
            type: object
            additionalProperties: {}
        missingConnectors:
          default: []
          type: array
          items:
            type: object
            additionalProperties: {}
        error:
          nullable: true
          type: string
        billing:
          nullable: true
          type: object
          additionalProperties: {}
        execution:
          nullable: true
          type: object
          additionalProperties: {}
        created:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
        updated:
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
      required:
        - threadId
        - workflowId
        - userAddress
        - title
        - status
        - runId
        - dry
        - prompt
        - created
        - updated
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        threadId:
          type: string
        missing:
          type: array
          items:
            $ref: '#/components/schemas/MissingConnectorRequirement'
        missingInputs:
          type: array
          items:
            $ref: '#/components/schemas/MissingInputRequirement'
      required:
        - error
    MissingConnectorRequirement:
      type: object
      properties:
        entryId:
          type: string
        slug:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - account
            - gated
        userAddress:
          type: string
        missingVars:
          type: array
          items:
            type: object
            properties:
              varName:
                type: string
              description:
                type: string
              obtainUrl:
                type: string
            required:
              - varName
        reason:
          type: string
        agentWallet:
          type: string
        runId:
          type: string
        threadId:
          type: string
        requestId:
          type: string
      required:
        - entryId
        - slug
        - name
        - type
        - reason
    MissingInputRequirement:
      type: object
      properties:
        stepId:
          type: string
        stepLabel:
          type: string
        modelId:
          type: string
        modelName:
          type: string
        acceptedInputs:
          type: array
          items:
            type: string
        questions:
          type: array
          items:
            type: string
        reason:
          type: string
        agentWallet:
          type: string
        runId:
          type: string
        threadId:
          type: string
        proposalId:
          type: string
      required:
        - stepId
        - stepLabel
        - acceptedInputs
        - reason
  securitySchemes:
    man0Auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Man0 authentication token returned by sign-in.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.